Incidencia #42970

Do we still need to reveal trade partner city?

Abrir Fecha: 2021-10-02 22:36 Última actualización: 2022-06-30 05:54

Informador:
Propietario:
Tipo:
Estado:
Cerrado
Componente:
Hito:
Prioridad:
5 - Medium
Gravedad:
5 - Medium
Resolución:
Fixed
Fichero:
1

Details

Revealing the trade partner city was introduced as a hack to avoid problems with client being unable to determine trade route's value (and other information?) without the knowledge of the partner city. Now the trade route structure and network packet contain that information. Do we still need to reveal the trade partner, or would things work without?

If that's to be changed, it probably needs to be made conditionally, e.g., by server setting telling if trade partners should be revealed, now that some users and/or modpacks have grown to the behavior that the partner is revealed.

Ticket History (3/4 Histories)

2021-10-02 22:36 Updated by: cazfi
  • New Ticket "Do we still need to reveal trade partner city?" created
2022-06-21 05:49 Updated by: cazfi
  • Propietario Update from (Ninguno) to cazfi
  • Resolución Update from Ninguno to Accepted
  • Hito Update from (Ninguno) to 3.2.0
  • Componente Update from (Ninguno) to General
2022-06-30 05:54 Updated by: cazfi
  • Estado Update from Open to Cerrado
  • Resolución Update from Accepted to Fixed

Editar

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Entrar